Summary:	A SIP masquerading proxy with RTP support
Name:		siproxd
Version:	0.5.11
Release:	%mkrel 0.2
License:	GPL
Group:		System/Servers
URL:		http://siproxd.sourceforge.net/
#Source0:	http://prdownloads.sourceforge.net/siproxd/%{name}-%{version}.tar.bz2
Source0:	http://home.tiscalinet.ch/ries/siproxd/siproxd-30Mar2005.tar.bz2
Source1:	%{name}.init.bz2
PreReq:		rpm-helper
BuildRequires:	libosip-devel >= 2.0.9
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Siprox is an proxy/masquerading daemon for the SIP protocol.
It handles registrations of SIP clients on a private IP network
and performs rewriting of the SIP message bodies to make SIP
connections possible via an masquerading firewall.
It allows SIP clients (like kphone, linphone) to work behind
an IP masquerading firewall or router.

%prep

%setup -q

%build

%configure2_5x \
    --bindir=%{_sbindir} \
    --sbindir=%{_sbindir}

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall

install -d %{buildroot}%{_var}/run/%{name}
install -d %{buildroot}%{_localstatedir}/%{name}
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sbindir}

bzcat %{SOURCE1} > %{buildroot}%{_initrddir}/%{name}
chmod 755 %{buildroot}%{_initrddir}/%{name}

# fix config
mv %{buildroot}%{_sysconfdir}/%{name}.conf.example %{buildroot}%{_sysconfdir}/%{name}.conf
perl -pi -e "s|^user =.*|user = %{name}|g" %{buildroot}%{_sysconfdir}/%{name}.conf

%pre
%_pre_useradd %{name} %{_localstatedir}/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc doc/FAQ AUTHORS ChangeLog README RELNOTES TODO
%attr(0755,root,root) %{_initrddir}/%{name}
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/%{name}.conf
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/%{name}_passwd.cfg
%attr(0755,root,root) %{_sbindir}/%{name}
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/%{name}
%dir %attr(0755,%{name},%{name}) %{_var}/run/%{name}

%changelog
* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.11-0.2mdk
- run it as the added uid, duh!
- use the %%mkrel macro

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.11-0.1mdk
- 0.5.11

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.9-1mdk
- 0.5.9

* Sat Aug 28 2004 Franck Villaume <fvill@freesurf.fr> 0.5.7-1mdk
- 0.5.7
- move to libosip2

* Fri Jul 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-2mdk
- rebuild

* Sat Apr 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.2-1mdk
- initial cooker contribs
- added S1 & P0
- used provided spec file but made it more Mandrake'ish
